Bug 825177 - ntop 3.3.9-7.el5 crashes with glibc double free errors
ntop 3.3.9-7.el5 crashes with glibc double free errors
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: ntop (Show other bugs)
el5
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 05:49 EDT by Trevor Hemsley
Modified: 2014-05-26 17:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 17:01:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Hemsley 2012-05-25 05:49:42 EDT
Description of problem:
The EPEL 5 version of ntop is 3.3.9 and crashes within minutes of startup with glibc double free errors.


Version-Release number of selected component (if applicable):
ntop-3.3.9-7.el5.x86_64.rpm


How reproducible:
Always

Steps to Reproduce:
1. Install ntop-3.3.9-7.el5.x86_64.rpm from EPEL 5
2. Use `service ntop start` once configured with admin password
3. Wait...
  
Actual results:
May 24 16:23:50 vfr1 kernel: ntop[7298]: segfault at 00000000aa80b4e5 rip 000000329540481c rsp 00000000433dcd90 error 4


Expected results:
Continues to run and does not crash

Additional info:
ntop was last updated in EPEL in 2009 and the upstream release is now 4.1.0

Have downloaded the EPEL 3.3.9-7 SRPM and rebuilt it using the 4.1.0 source tarball and this version runs fine so far (~1 hour so far and counting where it never managed more than 5 minutes before). Suggest that it might be time to rebuild the EPEL version against a newer upstream version...

Bug 493133 says that newer than 3.3.9 cannot be built for el5 because libevent is 1.1 and not 1.4 but it would appear that el5 5.8 now contains libevent 1.4 which would remove this roadblock.
Comment 1 Trevor Hemsley 2012-05-25 07:19:20 EDT
Seems I spoke too soon, ntop 4.1.0 also crashes but lasts more like an hour than 5 minutes :-(
Comment 2 Trevor Hemsley 2012-09-28 08:21:23 EDT
But ntop-5.0.2 works OK and has been running for several weeks without issue. Any chance of updating the EPEL version to use the latest svn code?
Comment 3 Jonathan Steffan 2012-11-08 16:47:35 EST
Huzaifa,

Would you like EPEL5 to get updated to 5.x as it resolves this bug? Does ntop currently work at all or is this an isolated issue?
Comment 4 Trevor Hemsley 2012-11-08 16:55:56 EST
Bug 325 on https://www.ntop.org/bugzilla3/show_bug.cgi is the bug report for this that fixed the problem for me. I have my own RPM built for this so the lack of a working copy in EPEL5 is not a problem for me now. Since 3.3.9 does not stay up for longer than 5 minutes for me, I'd guess the current EPEL5 copy is fairly useless though it may just not like our traffic pattern (several terabytes of SIP packets a month)
Comment 5 Sven Lankes 2012-11-09 02:36:32 EST
(In reply to comment #4)

> Bug 325 on https://www.ntop.org/bugzilla3/show_bug.cgi is the bug report for
> this that fixed the problem for me. 

I cannot find this bug. Ntop bugzilla tells me that Bug #325 does not exist. 

@Jonathan - I'd suggest not updating el5 to the latest ntop - it seems like a too invasive change for this late in the el5 cycle. Depending on what is in the ntop bugzilla entry we might be able to fix this bug with a patch to 3.3?
Comment 6 Jonathan Steffan 2014-05-26 17:01:21 EDT
We are unable to get the updated ntop into EPEL5. EPEL6 has 5.x.

Note You need to log in before you can comment on or make changes to this bug.